org.jboss.jca.core.workmanager

## Class WorkEventListener

- java.lang.Object
- - javax.resource.spi.work.WorkAdapter
  - - org.jboss.jca.core.workmanager.WorkEventListener

- All Implemented Interfaces:
    java.util.EventListener, javax.resource.spi.work.WorkListener

      public class WorkEventListener
      extends javax.resource.spi.work.WorkAdapter

  Work event listener
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkEventListener(boolean isLong, org.jboss.jca.core.api.workmanager.StatisticsExecutor shortThreadPool, org.jboss.jca.core.api.workmanager.StatisticsExecutor longThreadPool, org.jboss.jca.core.spi.workmanager.Address address, org.jboss.jca.core.spi.workmanager.transport.Transport transport)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `workCompleted(javax.resource.spi.work.WorkEvent e)`
    `void` | `workRejected(javax.resource.spi.work.WorkEvent e)`

    - ### Methods inherited from class javax.resource.spi.work.WorkAdapter

      `workAccepted, workStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkEventListener

          public WorkEventListener(boolean isLong,
                                   org.jboss.jca.core.api.workmanager.StatisticsExecutor shortThreadPool,
                                   org.jboss.jca.core.api.workmanager.StatisticsExecutor longThreadPool,
                                   org.jboss.jca.core.spi.workmanager.Address address,
                                   org.jboss.jca.core.spi.workmanager.transport.Transport transport)

      Constructor
      Parameters:
        `isLong` - Is long running work instance
        `shortThreadPool` - The short running thread pool
        `longThreadPool` - The long running thread pool
        `address` - The address
        `transport` - The transport

  - ### Method Detail

    - #### workCompleted

          public void workCompleted(javax.resource.spi.work.WorkEvent e)

      Specified by:
        `workCompleted` in interface `javax.resource.spi.work.WorkListener`
      Overrides:
        `workCompleted` in class `javax.resource.spi.work.WorkAdapter`

    - #### workRejected

          public void workRejected(javax.resource.spi.work.WorkEvent e)

      Specified by:
        `workRejected` in interface `javax.resource.spi.work.WorkListener`
      Overrides:
        `workRejected` in class `javax.resource.spi.work.WorkAdapter`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)